### Combined Approaches

Our combined approaches merged two-or more heterogeneous feature-sets. Within each experiment, we grid-searched to find the optimal relative weighting for each feature-set. We also applied a \(\chi^2\)-feature reduction step to remove features which were heavily dependent on other features within the set.

#### Results

##### Using Semantic/Structural Features

We attempted to combine the semantic and structural features with TF-IDF. Regardless of weighting, feature reduction, or initial TF-IDF parameters, the addition of semantic features never improved the performance of the model.

##### Combinations of TF-IDF Features

We had much better results attempting to combine the category and paragraph-text TD-IDF feature vectors. A weight of 1:4 category:paragraph text, with 10% of the features kept after the \(\chi^2\)-selection resulted in our best accuracy of `0.78` (TABLE 1). It is also interesting to consider that while adding feature selection/reduction improved performance greatly when combining features, when we applied feature selection to just the paragraph-text it reduced performance (FIGURE 4).